Name: akonadi
Summary: An extensible cross-desktop storage service for PIM
Version: 1.2.1
Release: %mkrel 5
Epoch: 1
Url: http://pim.kde.org/akonadi/
License: LGPLv2+
Group: Networking/WWW
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: http://akonadi.omat.nl/%{name}-%{version}.tar.bz2
BuildRequires: qt4-devel >= 4.4.0
BuildRequires: qt4-qtdbus
BuildRequires: shared-mime-info >=  0.20
BuildRequires: kde4-macros
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: automoc
BuildRequires: mysql-devel
BuildRequires: boost-devel
BuildRequires: soprano-devel
Requires: qt4-database-plugin-mysql
%if %{mdkversion} >= 201000
Requires: mysql-core
%else
Requires: mysql
%endif
Obsoletes: akonadi-common < 1:1.1.95
Conflicts: kde4-akonadi < 4.0.71-1

%description
An extensible cross-desktop storage service for PIM data and meta data providing
concurrent read, write, and query access.

%files
%defattr(-,root,root)
%{_kde_bindir}/*
%{_sysconfdir}/akonadi
%{_datadir}/dbus-1/services/*
%{_datadir}/mime/packages/akonadi-mime.xml

#------------------------------------------------------

# Need a dummy package to override old one
%package common
Group: Networking/WWW
Summary: Dummy package to override old
Obsoletes: akonadi-common < 1:1.1.95

%description common
Dummy package to override old.

%files common
%doc README

#------------------------------------------------------

%define akonadiprotocolinternals_major 1
%define libakonadiprotocolinternals %mklibname akonadiprotocolinternals %{akonadiprotocolinternals_major}

%package -n     %libakonadiprotocolinternals
Summary:        %name library
Group:          System/Libraries
Obsoletes:      %{_lib}akonadi_protocolinternals4 <= 4.0.70-1

%description -n %libakonadiprotocolinternals
%name library.

%files -n %libakonadiprotocolinternals
%defattr(-,root,root,-)
%_kde_libdir/libakonadiprotocolinternals.so.%{akonadiprotocolinternals_major}*

#---------------------------------------------------------------------

%define akonadiprivate_major 1
%define libakonadiprivate %mklibname akonadiprivate %{akonadiprivate_major}

%package -n %libakonadiprivate
Summary: %name library
Group: System/Libraries
Obsoletes:      %{_lib}akonadiprivate4 <= 4.0.70-1

%description -n %libakonadiprivate
%name library.

%files -n %libakonadiprivate
%defattr(-,root,root,-)
%_kde_libdir/libakonadiprivate.so.%{akonadiprivate_major}*

#------------------------------------------------------

%package   devel
Summary:   Devel stuff for %name
Group:     Development/KDE and Qt
Conflicts: kdepimlibs4-devel < 4.0.70-2
Conflicts: kdepim4-devel < 2:4.0.70-2
Requires:  %libakonadiprotocolinternals = %epoch:%version
Requires:  %libakonadiprivate = %epoch:%version
Requires: akonadi-common = %epoch:%version

%description  devel
This package contains header files needed if you wish to build applications
based on %name

%files devel
%defattr(-,root,root)
%{_kde_includedir}/*
%{_kde_libdir}/*.so
%{_kde_libdir}/pkgconfig/akonadi.pc
%{_kde_libdir}/cmake/Akonadi
%{_kde_datadir}/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4 -DMYSQLD_EXECUTABLE=%_sbindir/mysqld -DCONFIG_INSTALL_DIR=%{_sysconfdir}
%make

%install
rm -rf %buildroot

cd build
make DESTDIR=%buildroot install

%clean
rm -rf "%{buildroot}"


%changelog
* Tue Sep 29 2009 Anssi Hannula <anssi@mandriva.org> 1:1.2.1-5mdv2010.0
+ Revision: 450957
- require mysql-core instead of full mysql suite on 2010.0+

* Thu Sep 03 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:1.2.1-3mdv2010.0
+ Revision: 428711
- Add Requires

* Mon Aug 31 2009 Helio Chissini de Castro <helio@mandriva.com> 1:1.2.1-2mdv2010.0
+ Revision: 423074
- New upstream release

* Fri Aug 21 2009 Funda Wang <fundawang@mandriva.org> 1:1.1.95-7mdv2010.0
+ Revision: 418798
- rebuild for new boost

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1:1.1.95-6mdv2010.0
+ Revision: 409518
- Force exclude old akonadi-common

* Thu Jun 25 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.95-1mdv2010.0
+ Revision: 388896
- Update to version 1.1.95

* Wed Jun 03 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.90-1mdv2010.0
+ Revision: 382537
- Update for required 1.1.90 in KDE 4.3 beta. From now we will ditch use a branch svn code for official tarballs releases.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Update release because of a BS pb
    - Fix file list
    - New snapshot

* Fri May 15 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.85-0.968058.1mdv2010.0
+ Revision: 376269
- New snapshot

* Thu May 07 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.85-0.964925.1mdv2010.0
+ Revision: 372988
- New snapshot

* Mon May 04 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.85-0.963140.1mdv2010.0
+ Revision: 371521
- Fix file list
- New snapshot

* Fri May 01 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.80-0.959021.1mdv2010.0
+ Revision: 369502
- Add soprano as buildrequires
- New snapshot ( needed for kde 4.2.70)

* Thu Mar 26 2009 Funda Wang <fundawang@mandriva.org> 1.1.1-3mdv2009.1
+ Revision: 361242
- rebuild for new boost

* Wed Feb 25 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.1-2mdv2009.1
+ Revision: 344977
- Put requires in right place

* Wed Jan 21 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.1-1mdv2009.1
+ Revision: 332368
- New upstream version released to match KDE 4.2

* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 323907
- New version 1.1.0

* Wed Dec 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.80-2.895463.1mdv2009.1
+ Revision: 312593
- New snapshot
  Remove patch0:  do not add a patch where a simple CMake argument is enough

  + Funda Wang <fundawang@mandriva.org>
    - use patch rather than hardcode defination on paths

* Thu Dec 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.80-2mdv2009.1
+ Revision: 309847
- Move conf files in /etc

* Wed Nov 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.80-1mdv2009.1
+ Revision: 304729
- Fix BuildRequires
- Fix Requires ( thanks to Piggz)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update to official 1.0.80 tarball

* Tue Oct 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.80-0.876753.1mdv2009.1
+ Revision: 297790
- New snapshot
- Fix Requires
- Fix DMYSQLD_EXECUTABLE

* Mon Sep 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.0-2mdv2009.0
+ Revision: 278374
- mysqld is required at compile time

* Tue Jul 22 2008 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 240948
- New upstream final akonadi release

  + Funda Wang <fundawang@mandriva.org>
    - fix source and url

* Sun Jul 20 2008 Funda Wang <fundawang@mandriva.org> 0.82.0-1mdv2009.0
+ Revision: 238876
- fix conditional building

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version tied to kde 4.1 beta 2 release

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 0.81.0-2mdv2009.0
+ Revision: 218191
- Proper interface dir

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 0.81.0-1mdv2009.0
+ Revision: 214729
- Preparing full 0.81 snapshot

* Fri May 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.81.0-0.811818.1mdv2009.0
+ Revision: 210703
- New snapshot

* Fri May 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.80.0-3.808261.4mdv2009.0
+ Revision: 208092
- New snapshot ( needed by kdepimlibs4 4.0.74 )
- Rediff patch 0

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.80.0-3.805338.4mdv2009.0
+ Revision: 204513
- Fix automoc detection on x86_64
- New snapshot (needed by kdepimlibs 4.0.763)

* Wed May 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.80.0-2mdv2009.0
+ Revision: 202655
- Add buildrequires
- Fix file list ( Step 1/2 )

* Mon May 05 2008 Helio Chissini de Castro <helio@mandriva.com> 0.80.0-1mdv2009.0
+ Revision: 201353
- Fixed build using provided tarball on the kdesupport
- Changed akonadi package to akonadi-common and made library depends on that
- New upstream package

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Conflict with old kde4-akonadi
    - Add Obsolete on libakonadiprivate4
    - I do not know if user roo exist but use root instead :D
    - Fix Conflicts and obsoletes
    - Add conflicts to ease upgrade
    - Fix Spec file
      Add Shared-mime-info as BuildRequire
    - Fix version
    - Fix version
    - import akonadi


